Package org.apache.storm.security.auth

## Class DefaultHttpCredentialsPlugin

- java.lang.Object
- - org.apache.storm.security.auth.DefaultHttpCredentialsPlugin

- All Implemented Interfaces:
    `IHttpCredentialsPlugin`

      public class DefaultHttpCredentialsPlugin
      extends Object
      implements IHttpCredentialsPlugin

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultHttpCredentialsPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getUserName​(jakarta.servlet.http.HttpServletRequest req)` | Gets the user name from the request.
    `ReqContext` | `populateContext​(ReqContext context, jakarta.servlet.http.HttpServletRequest req)` | Populates a given context with credentials information from an HTTP request.
    `void` | `prepare​(Map<String,​Object> topoConf)` | No-op.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpCredentialsPlugin

          public DefaultHttpCredentialsPlugin()

  - ### Method Detail

    - #### prepare

          public void prepare​(Map<String,​Object> topoConf)

      No-op.
      Specified by:
        `prepare` in interface `IHttpCredentialsPlugin`
      Parameters:
        `topoConf` - Storm configuration

    - #### getUserName

          public String getUserName​(jakarta.servlet.http.HttpServletRequest req)

      Description copied from interface: `IHttpCredentialsPlugin`
      Gets the user name from the request.
      Specified by:
        `getUserName` in interface `IHttpCredentialsPlugin`
      Parameters:
        `req` - the servlet request
      Returns:
        the authenticated user, or null if none is authenticated.

    - #### populateContext

          public ReqContext populateContext​(ReqContext context,
                                            jakarta.servlet.http.HttpServletRequest req)

      Description copied from interface: `IHttpCredentialsPlugin`
      Populates a given context with credentials information from an HTTP request.
      Specified by:
        `populateContext` in interface `IHttpCredentialsPlugin`
        `req` - the servlet request
      Returns:
        the context